import { BlockLocation, MinecraftBlockTypes } from "@minecraft/server";

export function isInWater(player) {
  const { dimension, location } = player;
  const blockLocation = new BlockLocation(location.x, location.y , location.z);
  const block = dimension.getBlock(blockLocation);

  return block && block.type.id == MinecraftBlockTypes.water.id;
}

export async function hasItem(player, item, slot) {
  try {
    const results = await player.runCommandAsync(`testfor @s[hasitem={item=${item},location=${slot},quantity=1}]`);
    return results.successCount > 0;
  } catch {}
  return false;
}
