import { system, world } from "@minecraft/server";
import { armorSlots, items } from "./lib/constants";
import { hasItem } from "./lib/functions";

system.runSchedule(async () => {
  if ((system.currentTick % 20) != 0) return;
  for (const player of world.getPlayers()) {
    Object.values(items).map(async (item, idx) => {
      const itemId = Object.keys(items)[idx];
      const slot = armorSlots[itemId.split("_")[1]];

      if (await hasItem(player, itemId, slot) && item.condition(player)) {
        if (item.command) await player.runCommandAsync(item.command);
        if (!item.effect) return;
        player.addEffect(item.effect, item.duration, item.level, false);
      }
    });
  }
});
